%% ---------------------------------------------------------------------------
%% @doc data_log
%% @author ming_up@foxmail.com
%% @since  2016-08-25
%% @deprecated  data_log
%% ---------------------------------------------------------------------------
-module(data_log).

-export([get_log/1]).

%% get_log(Type) -> {表名，字段}.
get_log(log_consume_coin) ->
	{"log_consume_coin", "time, consume_type, player_id, goods_id, goods_num, cost_coin, remain_coin, about, lv, vip_lv"};

get_log(log_consume_gold) ->
	{"log_consume_gold", "time, consume_type, player_id, goods_id, goods_num, cost_gold, cost_bgold, cost_fgold, remain_gold, remain_bgold, remain_fgold, about, lv, vip_lv"};

get_log(log_consume_exp) ->
    {"log_consume_exp", "time, consume_type, player_id, lv, cost_exp, remain_exp, about"};

get_log(log_produce_coin) ->
	{"log_produce_coin", "time, produce_type, player_id, lv, vip_lv, got_coin, remain_coin, about"};

get_log(log_produce_gfame) ->
    {"log_produce_gfame", "time, produce_type, player_id, lv, vip_lv, got_gfame, remain_gfame, about"};

get_log(log_produce_gold) ->
	{"log_produce_gold", "time, produce_type, player_id, lv, vip_lv, got_gold, got_bgold, got_fgold, remain_gold, remain_bgold, remain_fgold, about"};

get_log(log_consume_gfame) ->
    {"log_consume_gfame", "time, consume_type, player_id, goods_id, goods_num, cost_gfame, remain_gfame, about, lv, vip_lv"};

get_log(log_throw) ->
	{"log_throw" , "`time`, `type`, `pid`, `gid`, `goods_id`, `goods_num`"};

get_log(log_goods) ->
	{"log_goods", "time, type, subtype, goods_id, goods_num, player_id, remark"};

get_log(log_produce_currency) ->
    {"log_produce_currency", "time, type, player_id, lv, vip_lv, currency_id, got_value, remain_value, remark"};

get_log(log_gift) ->
	{"log_gift",  "time, pid, gid, goods_id, gift_id, use_num"};

get_log(log_gift_about) ->
    {"log_gift_about", "time, pid, gift_id, goods_id, goods_num"};

get_log(log_title) ->
    {"log_title", "pid, pre_title_id, title_id, cost, combat_power, time"};

get_log(log_act_reward) ->
    {"log_act_reward", "time, role_id, type, subtype, reward_id, count, ctime, utime"};

get_log(log_achv) ->
    {"log_achv", "player_id, lv, category, sub_category, time"};

get_log(log_active_dsgt) ->
    {"log_active_dsgt", "player_id, dsgt_id, opr, time, expire_time, end_time,return_money"};

get_log(log_common_rank_role) ->
    {"log_common_rank_role", "role_id, rank_type, rank, value, sec_role_id, sec_value, time"};

get_log(log_common_rank_guild) ->
    {"log_common_rank_guild", "guild_id, rank, value, sec_guild_id, sec_value, time"};

get_log(log_mail_get) ->
    {"log_mail_get", "mail_id, sid, rid, title, module_id, sub_module_id, cm_attachment, timestamp, time"};

get_log(log_mail_send) ->
    {"log_mail_send", "mail_id, sid, rid, title, cm_attachment, module_id, sub_module_id, time"};

get_log(join_log) ->
    {"join_log", "player_id, guild_id, module_id, time"};

get_log(log_join) ->
    {"log_join", "player_id, guild_id, module_id, time"};

get_log(log_activity_live) ->
    {"log_activity_live", "role_id, lv, power, ac_id, ac_sub, ac_name, live, old_live, new_live, time"};

get_log(log_shop) ->
    {"log_shop", "role_id, role_lv, vip_Lv, shop_type, goods_id, num, buy_num, money_type, sum, time"};

get_log(log_auction_produce) ->
    {"log_auction_produce", "guild_id, module_id, sub_module_id, auction_type, auction_id, goods_list, bonus_tax_rate, time"};

get_log(log_auction_pay) ->
    {"log_auction_pay", "player_id, guild_id, module_id, sub_module_id, auction_type, goods_id, type_id, goods_num, pay_type, price_list, price, time"};

get_log(log_auction_award) ->
    {"log_auction_award", "player_id, guild_id, module_id, sub_module_id, auction_type, goods_id, type_id, goods_num, price, time"};

get_log(log_auction_bonus) ->
    {"log_auction_bonus", "player_id, guild_id, module_id, sub_module_id, money_list, time"};

get_log(log_personal_auction) ->
    {"log_personal_auction", "player_id, goods_id, type_id, goods_num, ctrl_type, auction_status, top_player_id, price, close_time, time"};

get_log(log_ac_start) ->
    {"log_ac_start", "module, module_sub, ac_sub, state, time"};

get_log(log_custom_act) ->
    {"log_custom_act", "type, subtype, wlv, stime, etime, state, time"};

get_log(log_custom_act_reward) ->
    {"log_custom_act_reward", "role_id, type, subtype, grade, wlv, reward, extra, vip, lv, gold_before, gold_after, bgold_before, bgold_after, time"};

get_log(log_daily_gift) ->
    {"log_daily_gift", "player_id, produce_type, goods_id, time"};

get_log(log_resource_back) ->
    {"log_resource_back", "player_id, act_id, act_sub, cost, times, lefttimes, reward, time"};

get_log(log_uplv) ->
    {"log_uplv", "`pid`, `lv`, `turn`, `fr`, `add_exp`, `exp_list`, `lv_max_exp`, `power`, `time`"};

get_log(log_login_logout) ->
    {"log_login_logout", "`player_id`, `type`, `time`, `lv`, `power`, `scene_id`, `ip`, `network_type`, `accid`, `accname`"};

get_log(log_coin_exchange) ->
    {"log_coin_exchange", "player_id, vip_lv, exchanged, left_exchanged, gold_cost, coin_get, time"};

get_log(log_goods_sell) ->
    {"log_goods_sell", "player_id, goods_type_list, goods_id_list, object_list, time"};

get_log(log_single_dungeon) ->
    {"log_single_dungeon", "role_id, lv, combat_power, dun_id, dun_type, reward_list, result_type, result_subtype, log_type, remark, time"};

get_log(log_multi_dungeon) ->
    {"log_multi_dungeon", "role_id, node, lv, combat_power, guild_id, dun_id, dun_type, diff_lv, team_id, help_type, role_id1, node1, role_id2, node2, role_id3, node3, reward_list, grade, score, level_score_list, intimacy_score_list, rela_score_list, guild_score_list, time_score_list, mon_score, result_type, result_subtype, log_type, time"};

get_log(log_growup) ->
    {"log_growup", "role_id, type, lv, reward, get_time, buy_time"};

get_log(log_consume_gfunds) ->
    {"log_consume_gfunds", "role_id, guild_id, consume_type, cost_gfunds, remain_gfunds, time"};

get_log(log_produce_gfunds) ->
    {"log_produce_gfunds", "role_id, guild_id, produce_type, got_gfunds, remain_gfunds, time"};

get_log(log_recharge_first) ->
    {"log_recharge_first", "player_id, name, product_id, log_type, day, object_list, isnew, reg_time, charge_day, last_behavior, level, online_time, time"};

get_log(log_recharge_return) ->
    {"log_recharge_return", "player_id, product_id, return_type, gold, return_gold, time"};

get_log(log_ban) ->
    {"log_ban", "type, object, description, time, admin"};

get_log(log_rename) ->
    {"log_rename", "player_id, old_name, new_name, lv, cost, time"};

get_log(log_gift_card_list) ->
    {"log_gift_card_list", "player_id, card_no, card_type, gift_type, award_list, cost_goods, is_success, time"};

get_log(log_version_upgradebag) ->
    {"log_version_upgradebag", "player_id, version_code, rewards_output, time"};

get_log(log_top_pk) ->
    {"log_top_pk", "role_id, fight_role_id, fight_role_name, is_fake, platform, server_num, res, score_before, score_after, time"};

get_log(log_consume_currency) ->
    {"log_consume_currency", "player_id, lv, vip_lv, type, currency_id, value, remain_value, remark, time"};

get_log(log_talk_report) ->
    {"log_talk_report", "from_id, to_id, msg, time"};

get_log(log_login_reward_day) ->
    {"log_login_reward_day", "role_id, day_id, get_date, reward_list, time"};

get_log(log_transform) ->
    {"log_transform", "role_id, transform_id, task_id,role_lv,time"};

get_log(log_sell_up) ->
    {"log_sell_up", "seller_id, sell_type, sell_id, goods_id, goods_num, unit_price, specifyer_id, extra, time"};

get_log(log_sell_pay) ->
    {"log_sell_pay", "sell_type, sell_id, goods_id, goods_num, unit_price, tax, seller_id, buyer_id, extra, time"};

get_log(log_sell_down) ->
    {"log_sell_down", "sell_id, goods_id, goods_num, seller_id, down_type, extra, time"};

%% 头像日志
get_log(log_picture) ->
    {"log_picture", "role_id, picture, picture_ver, time"};

%% 系统内置头像日志
get_log(log_local_picture) ->
    {"log_local_picture","role_id,profile_photo_id,time"};

get_log(log_fashion_color) ->
    {"log_fashion_color", "role_id, pos_id, fashion_id, color_id, type, cost_list, time"};

get_log(log_fashion_star) ->
    {"log_fashion_star", "role_id, pos_id, fashion_id, color_id, type, old_star_lv, new_star_lv, cost_list, time"};

get_log(log_arena_buy_times) ->
    {"log_arena_buy_times", "role_id, pre_gold, pre_bgold, pre_coin, buy_times, after_gold, after_bgold, after_coin, time"};

get_log(log_arena) ->
    {"log_arena", "role_id, name, rank, rival_id, rival_name, rival_rank, result, after_rank, time"};

get_log(log_dress_star) ->
    {"log_dress_star", "role_id, dress_type, dress_id, dress_star, exp, cost, time"};

get_log(log_dress_illu_lv) ->
    {"log_dress_illu_lv", "role_id, pre_lv, pre_exp, after_lv, after_exp, cost, time"};

get_log(log_goods_exchange) ->
    {"log_goods_exchange", "role_id, type, cost, reward, time"};

get_log(log_liveness_up) ->
    {"log_liveness_up", "role_id, pre_lv, liveness, after_lv, time"};

get_log(log_produce_honour) ->
    {"log_produce_honour", "player_id, type, old_value, new_value, got_value, remark, time"};

get_log(log_cost_honour) ->
    {"log_cost_honour", "player_id, type, old_value, new_value, cost_value, remark, time"};

get_log(log_rush_rank_reward) ->
    {"log_rush_rank_reward", "role_id, rank_type, rank, value, reward, time"};

get_log(log_rush_goal_reward) ->
    {"log_rush_goal_reward", "role_id, rank_type, goal_id, value, reward, time"};

get_log(log_mail_clear) ->
    {"log_mail_clear", "rid, title, cm_attachment, state, effect_st, time"};

get_log(log_rela) ->
    {"log_rela", "role_id, other_rid, pre_rela, ctype, rela, time"};

get_log(log_intimacy) ->
    {"log_intimacy", "role_id, other_rid, pre_intimacy, way, intimacy, extra, time"};

get_log(log_produce_gdonate) ->
    {"log_produce_gdonate", "role_id, produce_type, add_donate, remain_donate, historical_donate, extra, time"};

get_log(log_consume_gdonate) ->
    {"log_consume_gdonate", "role_id, consume_type, cost_donate, remain_donate, extra, time"};

get_log(log_produce_growth) ->
    {"log_produce_growth", "guild_id, role_id, produce_type, add_growth, remain_growth, time"};

get_log(log_consume_growth) ->
    {"log_consume_growth", "guild_id, role_id, consume_type, cost_growth, remain_growth, extra, time"};

get_log(log_guild) ->
    {"log_guild", "guild_id, guild_name, guild_flag, guild_lv, role_id, role_lv, role_name, role_vip, type, cost, time"};

get_log(log_guild_member) ->
    {"log_guild_member", "guild_id, guild_name, event_type, role_id, event_param, time"};

get_log(log_guild_rename) ->
    {"log_guild_rename", "guild_id, role_id, role_name, old_name, new_name, old_flag, new_flag, cost, time"};

get_log(log_guild_lv) ->
    {"log_guild_lv", "guild_id, guild_name, chief_id, chief_name, old_lv, new_lv, time"};

get_log(log_guild_merge) ->
    {"log_guild_merge", "a_guild_id, a_guild_name, a_chief_id, a_chief_name, a_num, opty,b_guild_id,b_guild_name,b_live,b_num,days, time"};

get_log(log_guild_lives_award)->
     {"log_guild_lives_award", "guild_id, guild_name,  role_id, role_name, total_live, need_live, awards, time"};

get_log(log_guild_order)->
     {"log_guild_order", "guild_id, guild_name,  role_id, role_name, opty, order_id, order_color, order_num, roles, awards, time"};


get_log(log_red_envelopes) ->
    {"log_red_envelopes", "`red_envelopes_id`, `ownership_type`, `ownership_id`, `owner_id`, `status`, `type`, `extra`, time"};

get_log(log_red_envelopes_recipients) ->
    {"log_red_envelopes_recipients", "role_id, red_envelopes_id, reward, time"};

get_log(log_guild_skill) ->
    {"log_guild_skill", "role_id, role_lv, guild_id, guild_lv, build_lv, skill_id, old_lv, new_lv, cost, old_power, new_power, time"};

get_log(log_smashed_egg) ->
    {"log_smashed_egg", "`role_id`, `smashed_type`, `smashed_num`, `index`, `use_free_times`, `auto_buy`, `cost`, `reward`, `time`"};

get_log(log_cloud_buy_kf) ->
    {"log_cloud_buy_kf", "`order_id`, `role_uid`, `role_name`, `platform`, `server_num`, `count`, `event`, `subtype`, `reward`, `time`"};

get_log(log_fireworks) ->
    {"log_fireworks", "role_id, use_num, reward, all_use_num, time"};

get_log(log_transfer) ->
    {"log_transfer", "role_id, old_career, old_sex, new_career, new_sex, time"};

get_log(log_treasure_evaluation) ->
    {"log_treasure_evaluation", "role_id, type, old_lucky_num, new_lucky_num, cost_list, reward_list, time"};

get_log(log_collect_put) ->
    {"log_collect_put", "subtype, all_reward_id, all_reward_type, new_all_point, role_id, put_type, self_reward_id, self_reward_type, new_self_point, time"};

get_log(log_recharge_rank_act) ->
    {"log_recharge_rank_act", "role_id, rank, value, reward, time"};

get_log(log_login_return_reward) ->
    {"log_login_return_reward", "role_id, subtype, grade, status, cost, reward, time"};

get_log(log_server_open) ->
    {"log_server_open", "server_status, server_type, node, server_id, server_num, platform, begin_time, end_time, cost_time, time"};

get_log(log_server_daily_clear) ->
    {"log_server_daily_clear", "log_type, begin_time, end_time, cost_time, time"};

get_log(log_server_hot) ->
    {"log_server_hot", "module_list, begin_time, end_time, cost_time, time"};

get_log(log_server_memory) ->
    {"log_server_memory", "memory_total, memory_processes, memory_atom, memory_binary, memory_code, memory_ets, process_cnt, ets_cnt, port_cnt, time"};

get_log(log_server_interface) ->
    {"log_server_interface", "mfa, begin_time, end_time, cost_time, time"};

get_log(log_bonfire_buy_dinner) ->
    {"log_bonfire_buy_dinner", "role_id, guild_id, type, cost, time"};

get_log(log_pic_lv) ->
    {"log_pic_lv", "role_id, pic_id, lv, cost, time"};

get_log(log_3v3_pk_room) ->
    {"log_3v3_pk_room", "`scene_id`, `scene_pool_id`, `room_id`, `tower_data`, `pk_id`, `result`, `blue_name1`, `blue_name2`, `blue_name3`, `blue_score`, `blue_tower_num`, `red_name1`, `red_name2`, `red_name3`, `red_score`, `red_tower_num`, `time`"};

get_log(log_3v3_pk_team) ->
    {"log_3v3_pk_team", "`pk_id`, `team_id`, `group`, `score`, `kill`, `killed`, `assist`, `result`, `time`"};

get_log(log_3v3_rank_reward) ->
    {"log_3v3_rank_reward", "`rank_id`, `role_id`, `nickname`, `tier`, `star`, `reward`, `time`"};

get_log(log_3v3) ->
    {"log_3v3", "`role_id`, `type`, `old_tier`, `old_star`, `new_tier`, `new_star`, `result`, `honor`, `time`"};

get_log(log_3v3_pk_role) ->
    {"log_3v3_pk_role", "`pk_id`, `role_id`, `name`, `group`, `old_tier`, `old_star`, `old_continued_win`, `new_tier`, `new_star`, `new_continued_win`, `kill`, `killed`, `collect`, `assist`, `honor`, `is_mvp`, `result`, `time`"};

get_log(log_drum_war) ->
    {"log_drum_war", "drum, zone, war, wid, wname, wsid, wform, wnum, wlive, wpower, fid, fname, fsid, fform, fnum, flive, fpower, result, time"};

get_log(log_drum_sign) ->
    {"log_drum_sign", "name, role_id, lv, time"};

get_log(log_drum_cost) ->
    {"log_drum_cost", "role_id, type, cost, time"};

get_log(log_drum_refuce) ->
    {"log_drum_refuce", "node, role_id, sid, power, time"};

get_log(log_drum_refuce_mail) ->
    {"log_drum_refuce_mail", "role_id, time"};

get_log(log_kf_1vn_auction) ->
    {"log_kf_1vn_auction", "`auction_id`, `role_id`, `server_id`, `server_num`, `name`, `price_add`, `price`, `voucher`, `time`"};

get_log(log_kf_1vn_race_1) ->
    {"log_kf_1vn_race_1", "`area`, `win_id`, `win_server_id`, `win_server_num`, `win_name`, `win_cp`, `win_score`, `lose_id`, `lose_server_id`, `lose_server_num`, `lose_name`, `lose_cp`, `lose_score`, `win_type`, `time`"};

get_log(log_kf_1vn_race_2) ->
    {"log_kf_1vn_race_2", "`area`, `turn`, `battle_id`, `player_id`, `server_id`, `server_num`, `name`, `cp`, `def_type`, `win`, `win_type`, `status`, `time`"};

get_log(log_kf_1vn_sign) ->
    {"log_kf_1vn_sign", "`player_id`, `name`, `server_id`, `lv`, `time`"};

get_log(log_kf_1vn_bet) ->
    {"log_kf_1vn_bet", "`role_id`, `role_name`, `turn`, `battle_id`, `bet_side`, `money`, `time`"};

get_log(log_buy_fishing_gear) ->
    {"log_buy_fishing_gear", "`role_id`, `role_lv`, `vip_lv`, `fishing_gear`, `cost`, `time`"};

get_log(log_fishing_harvest) ->
    {"log_fishing_harvest", "`role_id`, `role_lv`, `fishing_scene_id`, `fishing_lv`, `fishing_water_area`, `fishing_id`, `fish_type`, `maunal_or_auto`, `rods_usage_cost`, `energy_cost`, `re_code`, `time`"};

get_log(log_fish_illustrated_lv) ->
    {"log_fish_illustrated_lv", "`role_id`, `illu_id`, `old_lv`, `new_lv`, `cost`, `time`"};

get_log(log_kf_cloud_buy_purchase) ->
    {"log_kf_cloud_buy_purchase", "type, subtype, server_num, role_id, role_name, product_id, product_name, buy_num, buy_reward, time"};

get_log(log_kf_cloud_buy_draw) ->
    {"log_kf_cloud_buy_draw", "type, subtype, server_num, role_id, role_name, product_id, reward_lv, product_name, reward, time"};

get_log(log_role_home_build) ->
    {"log_role_home_build", "role_id, create_type, home_id, costs, reward_list, time"};

get_log(log_role_home_build_upgrade) ->
    {"log_role_home_build_upgrade", "role_id, uptype, start_end, build_type, build_lv, upgrade_endtime, res_cost, costs, time"};

get_log(log_role_home_collect_resource) ->
    {"log_role_home_collect_resource", "role_id, build_type, res_get, time"};

get_log(log_role_home_wish) ->
    {"log_role_home_wish", "role_id, wish_id, wish_coin_cost, event_id, rewards, res_rewards, time"};

get_log(log_live_skill_handle) ->
    {"log_live_skill_handle", "role_id, skill_type, old_lv, add_exp, new_lv, cost_live, cost, reward, time"};

get_log(log_power_live) ->
    {"log_power_live", "role_id, module, type, old_live, change_live, new_live, time"};

get_log(log_receive_smashed_egg_reward) ->
    {"log_receive_smashed_egg_reward", "role_id, subtype, reward_list, time"};

get_log(log_guild_liveness) ->
    {"log_guild_liveness", "guild_id, member_num, old_val, add_val, new_val, liveness_list, time"};

get_log(log_guild_liveness_extra_reward) ->
    {"log_guild_liveness_extra_reward", "role_id, live, live_rewards, extra_live, time"};

get_log(log_fashion_activate) ->
    {"log_fashion_activate", "role_id, pos_id, fashion_id, color_id, type, cost, old_time, new_time, time"};

get_log(log_devour) ->
    {"log_devour", "role_id, name, exp_gain, lv_after, exp, time"};

get_log(log_boss_reborn) ->
    {"log_boss_reborn", "boss_id, boss_type, scene, pool_id, copy_id, time"};

get_log(log_online_gift) ->
    {"log_online_gift", "role_id, role_lv, subtype, online_time, grade_id, reward_list, reward_multiple, achieve_time, time"};

get_log(log_guild_building_up) ->
    {"log_guild_building_up", "role_id, guild_id, build_type, old_lv, new_Lv, cost, time"};

get_log(log_boss_rank_reward) ->
    {"log_boss_rank_reward", "role_id, lv, power, boss_type, boss_id, rank, reward, time"};

get_log(log_role_home_pic) ->
    {"log_role_home_pic", "role_id, pic_id, old_lv, new_lv, cost, time"};

get_log(log_charm_beach) ->
    {"log_charm_beach", "role_server_id, role_id, type, cost_list, num, other_server_id, other_id, other_name, old_charm_value, new_charm_value, time"};

get_log(log_custom_act_hi_point) ->
    {"log_custom_act_hi_point", "role_id, old_score, add_score, new_score, module, time"};

get_log(log_limit_goal_task) ->
    {"log_limit_goal_task", "role_id, lv, vip, goal_id, task_id, `condition`, time"};

get_log(log_limit_goal_reward) ->
    {"log_limit_goal_reward", "role_id, lv, vip, goal_id, task_id, reward, time"};

get_log(log_come_back) ->
    {"log_come_back", "account, source, player_id, nickname, lv, server_id, server_num, old_gold, return_list, time"};

get_log(log_supplication_reward) ->
    {"log_supplication_reward", "role_id, count, reward_lv, cost, reward, reward_id, time"};

get_log(log_supplication_task_finish) ->
    {"log_supplication_task_finish", "role_id, task_id, `condition`, time"};

get_log(log_supplication_task_reward) ->
    {"log_supplication_task_reward", "role_id, task_id, reward_id, reward, time"};

get_log(log_quick_buy) ->
    {"log_quick_buy", "role_id, before_gold, before_bgold, before_coin, after_gold, after_bgold, after_coin, goods, time"};

get_log(log_recharge_consume_rank_act) ->
    {"log_recharge_consume_rank_act", "role_id, rank_type, sub_type, rank, value, reward, time"};

get_log(log_gm_use) ->
    {"log_gm_use", "role_id, lv, scene, fun_desc, fun_data, time"};

get_log(log_capsule_toys) ->
    {"log_capsule_toys", "role_id, type, sub_type, w_lv, draw_type, reward, cost, time"};

get_log(log_guild_bonfire) ->
    {"log_guild_bonfire", "role_id, guild_id, enter_lv, exp, time"};

get_log(log_guild_guard) ->
    {"log_guild_guard", "role_id, guild_id, lv, wave_num, exp, boss_times, reward, time"};

get_log(log_joy_wish) ->
    {"log_joy_wish", "role_id, type, sub_type, w_lv, wish_type, reward, cost, time"};

get_log(log_combat_uplv) ->
    {"log_combat_uplv", "role_id, lv, vip_lv, career, combat_power, module_id, module_power, log_time"};

get_log(log_flower) ->
    {"log_flower", "sender_id, receiver_id, goods_id, before_fame, after_fame, before_charm, after_charm, time"};

get_log(log_honor_coin) ->
    {"log_honor_coin", "role_id, lv, vip_lv, type, sub_type, about, change_num, left_num, time"};

get_log(log_lucky_flop_draw) ->
    {"log_lucky_flop_draw", "role_id, sub_type, cost, reward, now_times, turn, total_times, time"};

get_log(log_lucky_flop_receive) ->
    {"log_lucky_flop_receive", "role_id, sub_type, reward, times, time"};

get_log(log_lucky_flop_reset) ->
    {"log_lucky_flop_reset", "role_id, type, cost_list, turn, time"};

get_log(log_normal_combat_power) ->
    {"log_normal_combat_power", "role_id, name, module_id, type, old_power, new_power, change_power, remark, time"};

get_log(log_degree_upgrade) ->
    {"log_degree_upgrade", "role_id, degree_id, exp, dun_state, time"};

get_log(log_receive_degree_reward) ->
    {"log_receive_degree_reward", "role_id, class_id, task_type, task_id, old_exp, new_exp, time"};

get_log(log_market_operation) ->
    {"log_market_operation", "market_id, role_id, name, vip, get_role_id, get_name, get_vip, goods_type_id, num, lev, color, price, tax, sell_type, guild_id, time, deal_type, operation_type, extra_attr, on_time"};

get_log(log_market_race) ->
    {"log_market_race", "market_id, role_id, name, vip, price, last_role_id, last_name, last_vip, last_price, origin_price, goods_id, left_time, time"};

get_log(log_arena_season_award) ->
    {"log_arena_season_award", "role_id, `rank`, time, award"};

get_log(log_child_link_heart) ->
    {"log_child_link_heart", "role_id, type, task_id, cost, link_heart_get, link_heart_bef, link_heart_aft, time"};

get_log(log_child_upgrade) ->
    {"log_child_upgrade", "role_id, grade_bef, star_bef, grade_aft, star_aft, cost, time"};

get_log(log_child_item) ->
    {"log_child_item", "role_id, type, item_type, item_id, cost, grade_bef, grade_aft, time"};

get_log(log_child_skill) ->
    {"log_child_skill", "role_id, skill_id, lv_bef, lv_aft, cost, time"};

get_log(log_child_toy) ->
    {"log_child_toy", "role_id, suit_type, toy_id, cost, time"};

get_log(log_child_toy_box) ->
    {"log_child_toy_box", "role_id, type, lv_bef, lv_aft, exp_bef, exp_aft, toy_cost, time"};

get_log(log_child_rank) ->
    {"log_child_rank", "role_id, child_name, rank, vote, time"};

get_log(log_pet_grow) ->
    {"log_pet_grow", "role_id, pet_id, stars_bef, grade_bef, exp_bef, type, stars_aft, grade_aft, exp_aft, cost, time"};

get_log(log_pet_jewel) ->
    {"log_pet_jewel", "role_id, pet_id, pos, item_bef, item_aft, time"};

get_log(log_ask_guild_support) ->
    {"log_ask_guild_support", "ask_id, guild_id, support_id, cfg_id, content, time"};

get_log(log_guild_support_reward) ->
    {"log_guild_support_reward", "supporter, guild_id, support_id, cfg_id, type, time"};

get_log(log_vip_status) ->
    {"log_vip_status", "player_id, vip_type, trial_lv, vip_Lv, props_id, vip_status, end_time, time"};

get_log(log_vip_upgrade) ->
    {"log_vip_upgrade", "player_id, vip_type, vip_lv, vip_exp, diamond_exp, time"};

get_log(log_sup_vip_status) ->
    {"log_sup_vip_status", "role_id, sup_vip_type, active_type, time"};

get_log(log_trial_sup_vip_charge) ->
    {"log_trial_sup_vip_charge", "role_id, gold, total_gold, time"};

get_log(log_sup_vip_exchange) ->
    {"log_sup_vip_exchange", "role_id, role_name, vip_lv, type, cost, reward, time_before, time_after, gold_before, gold_after, time"};

get_log(log_marble) ->
    {"log_marble", "role_id, role_name, qual_id, award, increase_point, current_point, time"};

get_log(log_equipment_strength) ->
    {"log_equipment_strength", "role_id,name,series,equip_type,goods_id,goods_type_id,result,lv_before,lv_after,ratio,cost,time"};

get_log(log_equipment_great) ->
    {"log_equipment_great", "role_id,name,series,equip_type,goods_id,goods_type_id,result,great_before,great_after,ratio,cost,time"};

get_log(log_equipment_empower) ->
    {"log_equipment_empower", "role_id,name,series,equip_type,lv_before,lv_after,cost,time"};

get_log(log_equipment_inherit) ->
    {"log_equipment_inherit", "role_id,name,type,goods_id,goods_type_id,cost_equipment,attr_after,attr_before,time"};

get_log(log_equipment_gems) ->
    {"log_equipment_gems", "role_id,name,type,series,equip_type,goods_id_before,goods_id_after,time"};

get_log(log_nucleon_equip_upgrade) ->
    {"log_nucleon_equip_upgrade", "role_id,name,pos,lv_before,exp_before,lv_after,exp_after,cost,time"};

get_log(log_nucleon_equip_recast)->
    {"log_nucleon_equip_recast", "role_id,name,main_id,main_goods_id,main_attr_bef,main_attr_aft,sub_id,sub_goods_id,sub_attr,cost,time"};

get_log(log_nucleon_section)->
     {"log_nucleon_section", "role_id,name,pos,lv,cost,time"};

get_log(log_nucleon_hunt)->
     {"log_nucleon_hunt", "role_id,name,opty,num,is_free,awards,cost,time"};

get_log(log_nucleon_resolve)->
     {"log_nucleon_resolve", "role_id,name,gains,cost,time"};

get_log(log_lattice) ->
    {"log_lattice", "role_id, circle, pre_step, pass_step, cost, rewards, time"};

get_log(log_capsule_egg_score) ->
    {"log_capsule_egg_score", "role_id, pool_type, draw_times, score, time"};

get_log(log_race_rank_draw) ->
    {"log_race_rank_draw", "`role_id`,`role_name`,`act_id`,`award`,`cost`,`isbuy`,`befgold`,`aftgold`,`times`,`score`,`vip`,`time`"};

get_log(log_race_rank_wish) ->
    {"log_race_rank_wish", "`rid`,`act_id`,`opty`,`score`,`award`,`cost`,`time`"};

get_log(log_race_rank_times_award)->
    {"log_race_rank_times_award", "`role_id`,`role_name`,`act_id`,`grade`,`awards`,`needscore`,`curscore`,`vip`,`time`"};

get_log(log_guild_war_role_rank) ->
    {"log_guild_war_role_rank", "`role_id`,`name`,`rank`,`score`, kill_rank, max_kill, `time`"};

get_log(log_guild_war_guild_rank) ->
    {"log_guild_war_guild_rank", "`guild_id`,`name`,`rank`,`score`,`time`"};

get_log(log_god_operate) ->
    {"log_god_operate", "`role_id`, `name`, `god_id`, `op_type`, `old_star`, `star`, `old_lv`, `lv`, `exp`, `skill`, `cost`, `time`"};

get_log(log_god_equip_upgrade) ->
    {"log_god_equip_upgrade", "`role_id`, `goods_id`, `god_id`, `slot`, `type`, `old_lv`, `lv`, `old_exp`, `exp`, `cost`, `add_exp`, `time`"};

get_log(log_god_lottery) ->
    {"log_god_lottery", "role_id,phase,god_id,op_type,add_blessing,blessing,counts,cost,award,time"};

get_log(log_foster_upgrade) ->
    {"log_foster_upgrade", "rid,name,type,grade,star,exp,etime,autobuy,costs,time"};

get_log(log_foster_core_upgrade) ->
    {"log_foster_core_upgrade", "rid,name,type,core,value,costs,time"};

get_log(log_foster_skill_upgrade) ->
    {"log_foster_skill_upgrade", "rid,name,type,skill,lv,costs,time"};

get_log(log_foster_equip) ->
    {"log_foster_equip", "rid,name,type,grade,opty,pos,bitem,aitem,time"};

get_log(log_foster_equip_lv) ->
    {"log_foster_equip_lv", "rid,name,type,grade,pos,item,before_lv,before_exp,after_lv,after_exp,costs,time"};

get_log(log_foster_skin_upgrade) ->
    {"log_foster_skin_upgrade", "rid,name,type,opty,skinid,bef_star,aft_star,costs,time"};

get_log(log_quickcharge) ->
    {"log_quickcharge", "role_id, product_id, gold, money_gap, time"};

get_log(log_offline_hosting) ->
    {"log_offline_hosting", "role_id, name, module_id, sub_id, cost_value, award, duration, time"};

get_log(log_local_vie_rank)->
    {"log_local_vie_rank", "act, zone, rid, name, server_id, server_num, score, rank,rtime,dtime, time"};

get_log(log_vie_score)->
    {"log_vie_score", "act, rid, name, score_add, score_all, time"};

get_log(log_advance_produce)->
    {"log_advance_produce", "role_id, role_lv, func_id, name, con_desc, reward, days, time"};

get_log(log_elite_assess_task)->
    {"log_elite_assess_task", "role_id, role_lv, category, sub_category, task_id, task_desc, time"};

get_log(log_elite_assess_award)->
    {"log_elite_assess_award", "role_id, role_lv, category, sub_category, type, reward_id, reward_desc, reward, time"};

get_log(log_capsule_egg_draw)->
    {"log_capsule_egg_draw", "role_id, pool_type, type, award, color_max, absolute, cost, time"};

get_log(log_capsule_egg_award_times)->
    {"log_capsule_egg_award_times", "role_id, role_name, pool_type, times, times_need, award, time"};

get_log(log_adventure_lottery)->
    {"log_adventure_lottery", "role_id, act_type, sub_type, type, grade_list, score, progress, time, gold_before, gold_after, bgold_before, bgold_after"};

get_log(log_phase_exchange)->
    {"log_phase_exchange", "sub_type, role_id, role_name, role_lv, lv_need, store_id, grade, type, reward_list, goods_cost, num_cost, time"};

get_log(log_reversi_lottery)->
    {"log_reversi_lottery", "role_id, type, sub_type, op_type, score, reward, time, gold_before, gold_after, bgold_before, bgold_after"};

get_log(log_recharge_welfare)->
    {"log_recharge_welfare", "role_id, product_id, days, days_left, award_list, time"};

get_log(log_wasteland_war)->
    {"log_wasteland_war", "zone_id, server_id, server_num, kf_grade, role_id, type, round, rank, score, time"};

get_log(log_dun_pet_rank_reward)->
    {"log_dun_pet_rank_reward", "role_id, score, rank, time"};

get_log(log_beach_rank)->
    {"log_beach_rank", "room, line_id, server_id, server_num, kf_grade, role_id, vip_lv, power, votes, rank, reward, time"};

get_log(log_beach_vote)->
    {"log_beach_vote", "room, line_id, server_id, server_num, role_id, dancer_id, dancer_name, left_free_votes, exp_reward, time"};

get_log(log_guild_race_rank_guild)->
    {"log_guild_race_rank_guild", "guild_id, guild_name, power, guild_rank, open_day, time"};

get_log(log_guild_race_rank_role)->
    {"log_guild_race_rank_role", "role_id, guild_id, guild_rank, power, role_rank, open_day, time"};

get_log(log_charge_goods)->
    {"log_charge_goods", "role_id, product_id, type, sub_type, name, recharge_total, level, vip, time"};

get_log(log_nucleon_lv)->
    {"log_nucleon_lv", "role_id, role_name, old_lv, new_lv, time"};

get_log(log_nucleon_equip)->
    {"log_nucleon_equip", "role_id, role_name, opty, slot, old_item, new_item, time"};

get_log(log_nucleon_exchange)->
    {"log_nucleon_exchange", "role_id, role_name, gain,cost, time"};

get_log(log_nucleon_equip_evo)->
    {"log_nucleon_equip_evo","role_id,role_name,item,next,cost,uid,time"};

get_log(log_rank) ->
    {"log_rank", "role_id, nick_name, career, rank_type, rank, value, time"};

get_log(log_cross_rank) ->
    {"log_cross_rank", "role_id, nick_name, rank_type, rank, value, time, server_num, server_id, zone_id"};

get_log(log_onhook_result) ->
    {"log_onhook_result", "role_id, start_lv, after_lv, exp, cost_time, rewards, time"};

get_log(log_onhook_fast) ->
    {"log_onhook_fast", "role_id, vip_lv, type, times, rest_times, pre_gold, after_gold, cost, exp, rewards, time"};

get_log(log_galaxy_pos)->
    {"log_galaxy_pos", "role_id, role_name, type, pos, cost, time"};

get_log(log_galaxy_equip)->
     {"log_galaxy_equip", "role_id, role_name, type, pos, old_item, new_item, time"};

get_log(log_galaxy_change)->
    {"log_galaxy_change", "role_id, role_name, opty, item, old_lv,new_lv, cost, gain, time"};

get_log(log_galaxy_skin)->
    {"log_galaxy_skin", "role_id, role_name, skin, cost, old_star,new_star, time"};

get_log(log_visus_upgrade)->
    {"log_visus_upgrade", "role_id, role_name, opty, visus, old_star,new_star,cost,`condition`,`desc`,time"};

get_log(log_uranium_upgrade)->
    {"log_uranium_upgrade", "role_id, role_name, befgrade, beflv, aftgrade, aftlv, time"};

get_log(log_exp_dun) ->
    {"log_exp_dun", "role_id, power, chapter, wave, exp_ratio, result_type, exp, time"};

get_log(log_camp_war_rank_role) ->
    {"log_camp_war_rank_role", "zone_id, server_id, server_num, role_id, guild_id, mirror, rank, time"};

get_log(log_camp_war_rank_guild) ->
    {"log_camp_war_rank_guild", "zone_id, server_id, server_num, guild_id, guild_name, fighter, guild_rank, time"};

get_log(log_guild_collect) ->
    {"log_guild_collect", "role_id, guild_id, round_time, today_time, rewards, time"};

get_log(log_mate_rela) ->
    {"log_mate_rela", "role_id, name, other_rid, other_rname, type, cost, time"};

get_log(log_mate_anniversary) ->
    {"log_mate_anniversary", "role_id, name, other_rid, other_rname, award, need_day, own_day, time"};

get_log(log_mate_boat) ->
    {"log_mate_boat", "role_id, name, grade, star, exp, costs, time"};

get_log(log_compose_evolution) ->
    {"log_compose_evolution", "role_id, name, role_lv, classify_id, subclass, goods_id, cost_list, auto_buy, result, time"};

get_log(log_sign_in) ->
    {"log_sign_in", "role_id, name, role_lv, round, day, award, vip_lv, role_vip, time"};

get_log(log_level_award) ->
    {"log_level_award", "role_id, name, role_lv, role_career, gift_id, lv_need, award, limit_award, limit_remain, time"};

get_log(log_war_soul_equip) ->
    {"log_war_soul_equip", "role_id, name, pos, soul_bef, soul_aft, time"};

get_log(log_war_soul_strength) ->
    {"log_war_soul_strength", "role_id, name, goods_id, soul_id, cost_exp, exp_bef, exp_aft, lv_aft, time"};

get_log(log_war_soul_del) ->
    {"log_war_soul_del", "role_id, name, soul_id, gain_exp, exp_aft, time"};

get_log(log_war_soul_evolution) ->
    {"log_war_soul_evolution", "role_id, name, goods_id, soul_id, soul_id_aft, cost, gain_exp, time"};

get_log(log_war_soul_handbook) ->
    {"log_war_soul_handbook", "role_id, name, soul_unlock_id, soul_unlock_num, time"};

get_log(log_arena_daily_reward) ->
    {"log_arena_daily_reward", "role_id, name, type, rank, reward, time"};

get_log(log_madness_land_role_reward) ->
    {"log_madness_land_role_reward", "round, role_id, name, score, role_rank, guild_id, guild_name, guild_rank, time"};

get_log(log_madness_land_role_reward_kf) ->
    {"log_madness_land_role_reward_kf", "zone_id, server_id, server_num, kf_stage, role_id, name, score, rank, guild_id, guild_name, guild_rank, time"};

get_log(log_beauty_contest_sign) ->
    {"log_beauty_contest_sign", "role_id, name, fashion_power, time"};

get_log(log_beauty_contest_vote) ->
    {"log_beauty_contest_vote", "zone_id, kf_stage, role_id, name, round, vote_info, support_id, support_name, support_votes, rest_times, is_extra, award_list, time"};

get_log(log_beauty_contest_rank) ->
    {"log_beauty_contest_rank", "phase, zone_id, server_id, server_num, kf_stage, role_id, name, round, rank, votes, time"};

get_log(log_convoy_result) ->
    {"log_convoy_result", "role_id, name, object, start_time, end_stage, end_type, if_double, goods_list, time"};

get_log(log_convoy_refresh) ->
    {"log_convoy_refresh", "role_id, name, old_object, new_object, cost_list, vip_lv, time"};

get_log(log_convoy_take) ->
    {"log_convoy_take", "role_id, name, type, object, taken_server, taken_id, taken_name, award, time"};

get_log(log_offline_hosting_change) ->
    {"log_offline_hosting_change", "role_id, name, ai_before, ai_after, time"};

get_log(log_player_attr) ->
    {"log_player_attr", "role_id, name, hightest_combat_power, level, gold, bgold, trade, fame, total_money, total_gold, recency, frequency, monetary, top, is_login, time"};

get_log(log_player_daily) ->
    {"log_player_daily", "role_id, name, level, activity, daily_task, guild_task, fast_onhook_left,sup_vip_state,current_hosting,today_hosting,gold,bgold,trade,is_login,time"};

get_log(log_investment) ->
    {"log_investment", "role_id, name, type, grade, award_id, award_list, award_condition, level, vip, time"};

get_log(log_recharge_consume_act) ->
    {"log_recharge_consume_act", "role_id, name, type, subtype, grade, recharge_total, consume_total, is_mail, award_list, vip, time"};

get_log(log_void_fam)->
    {"log_void_fam","role_id, role_name, zone_id, kf_stage, type, floor, score, time"};

get_log(log_cross_guild_war)->
    {"log_cross_guild_war","zone,role_id, role_name, guild, stage, power, filed, time"};

get_log(log_cross_guild_war_conquer)->
    {"log_cross_guild_war_conquer","zone,server_id, server_num, role_id, role_name, guild, is_lord ,city, time"};

get_log(log_cross_guild_war_support)->
    {"log_cross_guild_war_support","zone,server_id, server_num, role_id, role_name, guild, guild_name, cost , retimes, time"};

get_log(log_foster_loop)->
    {"log_foster_loop","role_id,role_name,subtype,grade,cons,curgrade,curstar,nextcons,awards, time"};

get_log(log_mobilize_award)->
    {"log_mobilize_award","role_id,role_name,act_id,opty,day,end_day,tasktype,taskid,awards,time"};

get_log(log_hope_gift_buy) ->
    {"log_hope_gift_buy", "role_id,subtype,grade,gold_cost,gold_before,award_list,level,vip,time"};

get_log(log_hope_gift_return) ->
    {"log_hope_gift_return", "role_id,subtype,grade,award_list,return_amount,return_left,time"};

get_log(log_hope_gift_draw) ->
    {"log_hope_gift_draw", "role_id,subtype,award_list,round,cost,item_before,time"};

get_log(log_group_buy) ->
    {"log_group_buy", "role_id,subtype,grade,gold_type,gold_cost,gold_bef,bgold_bef,award_list,discount,buyer_count,fix_buyer_count,stage,stage_no_fix,stage_total,vip,time"};

get_log(log_group_buy_return) ->
    {"log_group_buy_return", "role_id,subtype,grade,gold_type,gold_num,discount,is_mail,time"};

get_log(log_pellet_daily) ->
    {"log_pellet_daily", "role_id,subtype,grade,cond_type,gold_need,gold_total,is_mail,award_list,vip,time"};

get_log(log_pellet_draw) ->
    {"log_pellet_draw", "role_id,round,award_type,award_id,award_list,times,vip,vaild,draw_grade,draw_time,time"};

get_log(log_seven_days_goal) ->
    {"log_seven_days_goal", "role_id,type,role_name,role_lv,score,open_day,grade,reward,time"};

get_log(log_seven_goal_task) ->
    {"log_seven_goal_task", "role_id,role_name,role_lv,rfmt,day,task,time"};

get_log(log_goods_convert) ->
    {"log_goods_convert", "role_id,goods_id,rewards,time"};

get_log(log_glamour_item)->
    {"log_glamour_item", "role_id,name,runid,rname,item,ishit,isfree,time"};

get_log(log_glamour_like)->
    {"log_glamour_like", "role_id,name,omoney,nmoney,round,logs,time"};

get_log(log_glamour_rank)->
    {"log_glamour_rank", "role_id,name,rank,money,awards,time"};

get_log(log_guild_boss_guild)->
    {"log_guild_boss_guild", "guild_id,guild_name,rank,awards,time"};

get_log(log_guild_boss_role)->
    {"log_guild_boss_role", "role_id,name,guild_id,guild_name,act_time,rank,time"};

get_log(log_guild_boss_share)->
    {"log_guild_boss_share", "guild_id,guild_name,num,rate,cash,money,time"};

get_log(log_skill_active)->
    {"log_skill_active", "role_id,name,skill_id,lv_after,cost,time"};

get_log(log_equipment_task)->
    {"log_equipment_task", "role_id,name,lv,rfmt,task_id,progress,`desc`,time"};

get_log(log_equipment_star)->
    {"log_equipment_star", "role_id,name,lv,stars,stars_need,branch,time"};

get_log(log_equipment_task_reward)->
    {"log_equipment_task_reward", "role_id,name,lv,rfmt,opday,task_id,reward,time"};

get_log(log_equipment_collect_reward)->
    {"log_equipment_collect_reward", "role_id,name,lv,series,color,reward,time"};

get_log(log_boss_change) ->
    {"log_boss_change", "role_id, role_name, boss_type, num_aft, num_bef, change_type, boss_id, time"};

get_log(log_boss_belong) -> 
    {"log_boss_belong", "role_id, role_name, is_cluster, svr_num, role_lv, boss_type, boss_lv, boss_id, belong_role_ids, first_kill, time"};

get_log(log_boss_drop) ->
    {"log_boss_drop", "boss_type, boss_id, belong_role_id, belong_team_id, goods_id, goods_num, is_bind, expired_time, damage_list, time"};

get_log(log_cross_point_fight) ->
    {"log_cross_point_fight", "role_id, name, guild_id, country, point_id, point_name, type, cost, reward, point_add, score, time"};

get_log(_) ->
    {"log_test", "`type`, `time`"}.
